use strum_macros::{AsRefStr, Display, EnumIter, EnumString};

#[derive(Debug, EnumIter, EnumString, Display, PartialEq, AsRefStr)]
pub enum MessageId {
    BadRequest,
    ServerInternalError,

    Hello,
    AccountDisabled,
    AccountNoPermission,
    IncorrectUsernameOrPassword,
    InvalidToken,
    InvalidParams,

    ValidateFeedbackContentRequired,
    ValidateAccountNameRequired,
    ValidateAccountPasswordRequired,
    ValidateAccountIdTokenRequired,
    ValidateAccountLangTagRequired,
    ValidatePageablePageRequired,
    ValidatePageablePageSizeRequired,
}
